<?xml version='1.0' encoding='utf-8' ?>

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <xsl:output indent="yes"/>

  <xsl:template match="/">
    <table width="100%" cellspacing="0" cellpadding="2" border="0">
      <tr><td colspan="2" class="uportal-background-med">
  	<span class="uportal-channel-table-caption">Request Info</span></td></tr>
      <xsl:apply-templates select="request-info"/>
      <tr><td colspan="2" class="uportal-background-med">
  	<span class="uportal-channel-table-caption">HTTP Header Info</span></td></tr>
      <xsl:apply-templates select="request-info/headers"/>   
    </table>
  </xsl:template>

  <xsl:template match="request-info">
    <tr>
      <td nowrap="nowrap" valign="top" align="right" class="uportal-background-highlight">Request Protocol:</td>
      <td class="uportal-channel-table-row-odd"><xsl:value-of select="request-protocol"/></td>
    </tr>  
    <tr>
      <td nowrap="nowrap" valign="top" align="right" class="uportal-background-light">Request Method:</td>
      <td width="100%" class="uportal-channel-table-row-even"><xsl:value-of select="request-method"/></td>
    </tr>
    <tr>
      <td nowrap="nowrap" valign="top" align="right" class="uportal-background-highlight">Server Name:</td>
      <td class="uportal-channel-table-row-odd"><xsl:value-of select="server-name"/></td>
    </tr>
    <tr>
      <td nowrap="nowrap" valign="top" align="right" class="uportal-background-light">Server Port:</td>
      <td class="uportal-channel-table-row-even"><xsl:value-of select="server-port"/></td>
    </tr>    
    <tr>
      <td nowrap="nowrap" valign="top" align="right" class="uportal-background-highlight">Request URI:</td>
      <td class="uportal-channel-table-row-odd"><xsl:value-of select="request-uri"/></td>
    </tr>
    <tr>
      <td nowrap="nowrap" valign="top" align="right" class="uportal-background-light">Context Path:</td>
      <td class="uportal-channel-table-row-even"><xsl:value-of select="context-path"/></td>
    </tr>        
    <tr>
      <td nowrap="nowrap" valign="top" align="right" class="uportal-background-highlight">Servlet Path:</td>
      <td class="uportal-channel-table-row-odd"><xsl:value-of select="servlet-path"/></td>
    </tr>
    <tr>
      <td nowrap="nowrap" valign="top" align="right" class="uportal-background-light">Query String:</td>
      <td class="uportal-channel-table-row-even"><xsl:value-of select="query-string"/></td>
    </tr>    
    <tr>
      <td nowrap="nowrap" valign="top" align="right" class="uportal-background-highlight">Path Info:</td>
      <td class="uportal-channel-table-row-odd"><xsl:value-of select="path-info"/></td>
    </tr>
    <tr>
      <td nowrap="nowrap" valign="top" align="right" class="uportal-background-light">Path Translated:</td>
      <td class="uportal-channel-table-row-even"><xsl:value-of select="path-translated"/></td>
    </tr>
    <tr>
      <td nowrap="nowrap" valign="top" align="right" class="uportal-background-highlight">Content Length:</td>
      <td class="uportal-channel-table-row-odd"><xsl:value-of select="content-length"/></td>
    </tr>
    <tr>
      <td nowrap="nowrap" valign="top" align="right" class="uportal-background-light">Content Type:</td>
      <td class="uportal-channel-table-row-even"><xsl:value-of select="content-type"/></td>
    </tr>
    <tr>
      <td nowrap="nowrap" valign="top" align="right" class="uportal-background-highlight">Remote User:</td>
      <td class="uportal-channel-table-row-odd"><xsl:value-of select="remote-user"/></td>
    </tr>
    <tr>
      <td nowrap="nowrap" valign="top" align="right" class="uportal-background-light">Remote Address:</td>
      <td class="uportal-channel-table-row-even"><xsl:value-of select="remote-address"/></td>
    </tr>
    <tr>
      <td nowrap="nowrap" valign="top" align="right" class="uportal-background-highlight">Remote Host:</td>
      <td class="uportal-channel-table-row-odd"><xsl:value-of select="remote-host"/></td>
    </tr>
    <tr>
      <td nowrap="nowrap" valign="top" align="right" class="uportal-background-light">Authorization Scheme:</td>
      <td class="uportal-channel-table-row-even"><xsl:value-of select="authorization-scheme"/></td>
    </tr>
    <tr>
      <td nowrap="nowrap" valign="top" align="right" class="uportal-background-highlight">Local:</td>
      <td class="uportal-channel-table-row-odd"><xsl:value-of select="locale"/></td>
    </tr>
  </xsl:template>

  <xsl:template match="headers">
    <xsl:apply-templates select="header"/>
  </xsl:template>

  <xsl:template match="header">
    <tr>
      <td nowrap="nowrap" valign="top" align="right">
        <xsl:attribute name="class">
          <xsl:choose>
            <xsl:when test="position() mod 2 = 0">uportal-background-light</xsl:when>
            <xsl:otherwise>uportal-background-highlight</xsl:otherwise>
          </xsl:choose>
        </xsl:attribute>
        <!-- The choose block here fixes a spelling error in the HTTP headers.
             'Referer' should be changed to 'Referrer' -->
        <xsl:choose>
          <xsl:when test="@name = 'Referer'">
            Referrer: 
          </xsl:when>
          <xsl:otherwise>
            <xsl:value-of select="@name"/>: 
          </xsl:otherwise>
        </xsl:choose>
      </td>
      <td>
        <xsl:attribute name="class">
          <xsl:choose>
            <xsl:when test="position() mod 2 = 0">uportal-channel-table-row-even</xsl:when>
            <xsl:otherwise>uportal-channel-table-row-odd</xsl:otherwise>
          </xsl:choose>
        </xsl:attribute>
        <xsl:value-of select="."/>
      </td>
    </tr>
  </xsl:template> 

</xsl:stylesheet>
